Flagged Out-of-Date Comment: opendbviewer-git

spiritomb flagged opendbviewer-git out-of-date on 2022-04-17 (UTC) for the following reason:

PKGBUILD needs modifications to source, prepare, build, and package sections in order to build: the source line needs updating to comply with the git:// protocol being deprecated, and opendbviewer uses a different build script now. This is what worked for me (I'm omitting sections I didn't change): source=("opendbviewer::git+https://github.com/Jet1oeil/opendbviewer") #... pkgver() { cd "${srcdir}/$_gitname" git describe --long --tags | sed 's/\([^-]*-g\)/r\1/;s/-/./g' } prepare() { cd "${srcdir}/$_gitname" sed -i -e 's/share\/\${APPLICATION_PACKAGE_NAME}\/doc/share\/doc\/\${APPLICATION_PACKAGE_NAME}/g' CMakeLists.txt } build() { cd "${srcdir}/$_gitname" ./build.sh regen make } package() { cd "${srcdir}/$_gitname" install -Dm755 opendbviewer "$pkgdir/usr/bin/opendbviewer" install -Dm755 opendbviewer-testsuite "$pkgdir/usr/bin/opendbviewer-testsuite" install -Dm644 data/logos/opendbviewer.png "$pkgdir/usr/share/pixmaps/opendbviewer.png" install -Dm755 data/opendbviewer.desktop "$pkgdir/usr/share/applications/opendbviewer.desktop" }